Bug 207612 - Review Request: zidrav - Zorba's Incredible Data Repairer And Verifier
Review Request: zidrav - Zorba's Incredible Data Repairer And Verifier
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Scott Baker
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-09-21 17:23 EDT by Dominik 'Rathann' Mierzejewski
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-27 13:56:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dominik 'Rathann' Mierzejewski 2006-09-21 17:23:29 EDT
Spec URL: http://rpm.greysector.net/extras/zidrav.spec
SRPM URL: http://rpm.greysector.net/extras/zidrav-1.2.0-1.src.rpm
Description:
ZIDRAV stands for "Zorba's Incredible Data Repairer And Verifier", and is an
extremely useful tool for cross-checking files that have been transfered via
HTTP, FTP, or some other method. What it does, is generates a checksum file,
and then by comparing that checksum with the original file, it creates a patch
file that can repair the corrupted file. Very cool, and saves re-downloading.
Comment 1 Scott Baker 2006-09-21 17:32:25 EDT
File matches upstream:

51f90a85723cae6f925efde35ce124c9  zidrav4unix-1.2.0.tar.gz
51f90a85723cae6f925efde35ce124c9  /tmp/zidrav4unix-1.2.0.tar.gz

Licence is GPL - correct
Buildroot is correct
Rpmlint is clean on the binary and source RPM
Make uses SMP flags - good

I would change the "make" and "rm" lines in the install/clean sections %{__make}
and %{__rm}.

What exactly does the rpm-patch do?
Comment 2 Scott Baker 2006-09-21 17:36:12 EDT
Have you submitted the RPM patch upstream? It's always best to get the source
patched upstream so the RPM isn't required to carry a patch that may get out of
date.
Comment 3 Dominik 'Rathann' Mierzejewski 2006-09-21 17:39:37 EDT
New specfile uploaded: http://rpm.greysector.net/extras/zidrav.spec

The patch makes the Makefile use RPM_OPT_FLAGS and adds an install: section with
DESTDIR.
Comment 4 Dominik 'Rathann' Mierzejewski 2006-09-21 17:40:18 EDT
(In reply to comment #2)
> Have you submitted the RPM patch upstream? It's always best to get the source
> patched upstream so the RPM isn't required to carry a patch that may get out of
> date.

Not yet, but I will.
Comment 5 Scott Baker 2006-09-21 17:48:51 EDT
My incredibly picky eye can't find anything else wrong with this package. I
don't see anything else to fix.

APPROVED
Comment 6 Denis Leroy 2006-09-21 18:39:30 EDT
Don't mean to nitpick but is your CXXFLAGS patch working ? It looks like it is
still compiling with the default options... I think you also need to pass it on
the make call ('make CXXFLAGS=...').

+ unset DISPLAY
+ CXXFLAGS='-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions
-fstack-protector --param=ssp-buffer-size=4 -m32 -march=i386 -mtune=generic
-fasynchronous-unwind-tables'
+ export CXXFLAGS
+ /usr/bin/make -j3
g++ -O2 -Wall -c flayer.cpp
g++ -O2 -Wall -c core.cpp
g++ -O2 -Wall -o zidrav zidrav.cpp flayer.o core.o
Comment 7 Dominik 'Rathann' Mierzejewski 2006-09-21 20:24:51 EDT
I uploaded a testing spec version by mistake, fixed. You can clearly see that
this was done so in .src.rpm (I'm not reuploading it since nothing was changed
except the spec).
Comment 8 Jason Tibbitts 2006-09-23 00:50:33 EDT
So I see an APPROVED up there, but this bug is still blocking FE-NEW and isn't
assigned to anyone.  Scott, did you intend to review and approve this?  If so,
you should assign it to yourself and change the blocker bug from FE-NEW to
FE-ACCEPT.  

In the future, when you want to review a bug, assign it to yourself and change
the blocker to FE-REVIEW so other potential reviewers will know that someone's
working on it.
Comment 9 Mamoru TASAKA 2006-09-24 03:21:24 EDT
So, who is currently reviewing this?
Comment 10 Dominik 'Rathann' Mierzejewski 2006-09-24 07:31:46 EDT
I'm unsure. Does Scott have fedorabugs membership? I can't verify, because the
site is timing out on me.
Comment 11 Mamoru TASAKA 2006-09-24 08:01:11 EDT
(In reply to comment #10)
> I'm unsure. Does Scott have fedorabugs membership? I can't verify, because the
> site is timing out on me.

It seems.

------------------------------------------------------------
Here are some of the main details about this user: muerte is Scott Baker
<bakers@web-ster.com>. Their GPG key ID is 7b709def.

Comments:

Member of groups: cla_done(user/approved) fedorabugs(user/approved)
cvsextras(user/approved) 
------------------------------------------------------------
Umm.. I don't know why Scott's mail address differs....
However, this is surely him because the user (muerte) is the maintainer of
qcomicbook (bug 204343) and in the bug he uses the mail address 
scott@perturb.org .
Comment 12 Toshio Kuratomi 2006-09-24 11:11:45 EDT
I approved his fedorabugs soon after this came up on IRC but apparently he
didn't get my note that he is now approved.  Scott you can now assign this bug
to yourself and change what it blocks so people know you're reviewing it and
approving it.

You'll have to use the bakers web-ster.com as your email address, otherwise
bugzilla and the account system will have no way of knowing you are the person
allowed to assign bugs.
Comment 13 Mamoru TASAKA 2006-09-26 11:55:08 EDT
Scott, will you
* reassign this bug to yourself
* change the bug status from NEW to ASSIGNED
* have this bug block not FE-NEW (163776) but FE-REVIEW(163778) or
  FE-ACCEPT(163779)
?
Comment 14 Scott Baker 2006-09-26 12:00:41 EDT
Sorry for the delay there was some confusion with regards to my login.
Comment 15 Dominik 'Rathann' Mierzejewski 2006-09-26 20:12:18 EDT
Scott, if it really is approved, please change it to blok FE-ACCEPT.
Comment 16 Dominik 'Rathann' Mierzejewski 2006-09-27 05:18:43 EDT
Imported and built for devel, FC5 branch requested. Thanks for the review!

Note You need to log in before you can comment on or make changes to this bug.